EATTEDIT vs. DDATTE

Discussion in 'AutoCAD' started by Jeff Clark, Feb 12, 2004.

  1. Jeff Clark

    Jeff Clark Guest

    Personally, I don't care for the 'NEW' attribute editor, EATTEDIT, when you're simply editing the contents of an attribute.

    Does anyone know how I can change the DOUBLE CLICK ATTRIBUTE EDITOR to call good old DDATTE instead?

    I tried redefining the command through my ACAD.lsp and that worked, but it completely removed the ability to use the EATTEDIT command, and it is useful in that you can change the text width and other text properties of the attributes through that dialog box.
    I would like to customize it so that when I double click an attributed block I get DDATTE, but if I want EATTEDIT, I can still use it, maybe through an icon or even a type in command.

    Where does ACAD define the double click edit properties?

    Thanks,
    Jeff
     
    Jeff Clark, Feb 12, 2004
    #1
  2. Jeff Clark

    Thomas Smith Guest

    well...
    I'm assuming that when you say you redefined the command through ACAD.lsp you did the following...

    (defun C:AETTEDIT () (Command "DDATTE"))

    If that's the case, just add a line before it redefining AETTEDIT to another name...

    (defun C:Orig_AETTEDIT () (Command "AETTEDIT"))
    (defun C:AETTEDIT () (Command "DDATTE"))

    Now you can use the command "Orig_AETTEDIT" to call that command.

    This is just a quick hack, but it'll work. (I would think you could redefine the double click reactor...
    But I'm not too sure about that. Never tried.

    Good luck!

    Personally, I don't care for the 'NEW' attribute editor, EATTEDIT, when you're simply editing the contents of an attribute.

    Does anyone know how I can change the DOUBLE CLICK ATTRIBUTE EDITOR to call good old DDATTE instead?

    I tried redefining the command through my ACAD.lsp and that worked, but it completely removed the ability to use the EATTEDIT command, and it is useful in that you can change the text width and other text properties of the attributes through that dialog box.
    I would like to customize it so that when I double click an attributed block I get DDATTE, but if I want EATTEDIT, I can still use it, maybe through an icon or even a type in command.

    Where does ACAD define the double click edit properties?

    Thanks,
    Jeff
     
    Thomas Smith, Feb 12, 2004
    #2
  3. Jeff Clark

    hensley Guest

    Whenever you redefine a command, you can still get the original command by putting a period in front of the command name such as .EATTEDIT
     
    hensley, Feb 12, 2004
    #3
  4. Jeff Clark

    dblaha Guest

    Actually, this is not correct--at least in AutoCAD 2002. Once you redfine a command, placing a period in front of it issues the redefined command, not the original one.
     
    dblaha, May 11, 2004
    #4
  5. The nntp side is missing the original part of this thread, but from your
    post I can say that _you_ are incorrect.

    Command: (defun C:Line () (vl-cmdf ".line" (getpoint "\nA point: ")
    (getpoint "\nAnother point: ") "") (princ))
    C:LINE

    Command: line
    Specify first point:
    Specify next point or [Undo]:
    Specify next point or [Undo]:

    Command: undefine
    Enter command name: line

    Command: line

    A point:
    Another point: .line Specify first point:
    Specify next point or [Undo]:
    Specify next point or [Undo]:
    Command:


    A period prefixing a command *will* run the internal version of the command,
    not the redefined version.

    --
    R. Robert Bell


    Actually, this is not correct--at least in AutoCAD 2002. Once you redfine a
    command, placing a period in front of it issues the redefined command, not
    the original one.
     
    R. Robert Bell, May 11, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.